.ENABLE SUBSTITUTION
.OPEN [1,2]NOLOG.TXT
.DATA You are too fast, turkey!!!
.CLOSE
;          Hello ....
;
.SETS ENAB "ENABLE"
.TIM:
.ASKS TIM Please enter date & time (mm/dd/yy hh:mm)
.IF TIM = "?" .SETS ENAB "DISABLE"
.IF TIM = "?" .GOTO TIM
TIM 'TIM'
.IF <EXSTAT> NE 1 .GOTO TIM
.'ENAB' QUIET
.IFINS SAV REM SAV
SET /LIBUIC=[2,54]
SET /MAXEXT=30.K
ACS SY:/BLKS=2048.
SET /SLAVE=TT21:
SET /SLAVE=TT4:
@SETTERM TT6:
; START UP RMDEMO
SET /SLAVE=TT6:
REA RMD 1 TT6:
REA RMD 2 TT6:
RUN ...RMD 2T
;
;
;
REA RMD 1 TI:
REA RMD 2 TI:
;
RUN POOL 2T
RUN ERRLOG
RED MM:=MT:
; INITIALIZE THE TERMINALS
.DISABLE QUIET
; Setting all terminal characteristics
@PB0:[1,5]SETTERM/-LI ALL
; Done setting terminals
.'ENAB' QUIET
; START UP THE Q MANAGER
@[1,2]STARTQMG
;
SET /PUB=PB1:
MOU PB1:MPUBDR1
.IF <EXSTAT> EQ 1 .GOTO MOUOK
.DISABLE QUIET
; !!!!!!!!!!!!! DR1 DID NOT MOUNT !!!!! HELP HELP HELP    
.STOP

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
.MOUOK:
;
RUN TT.KGB 1T
; ACCOUNTING
ACC /START/GBL/CPU/QIO/LCO/UQIO/DLT:60
; THE TASK TO KICK OUT STOPPED TASKS
.IFINS CKP RUN CKP M 30S/RSI=5M

.QUIT:
SET /LOGON
.IFINS RSE RSE FLAGS
.IFINS BRO BRO ALL:WE''RE UP, HAVE AT IT
PIP [1,2]NOLOG.TXT;*/DE/NM
; START THE TIME-SCHEDULING PROGRAM TASK
.SETS MA <TIME>[4:5]
.SETN MM 'MA'.
.SETN DT ((MM/5.+1.)*5.)-MM-1
RUN RECUR M 'DT'M/UIC=[1,1]/RSI=5M
.XQT BYE

